package cn.lihongjie.coal.warehouseReceiptDetail.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.warehouseReceiptDetail.dto.CreateWarehouseReceiptDetailDto;
import cn.lihongjie.coal.warehouseReceiptDetail.dto.UpdateWarehouseReceiptDetailDto;
import cn.lihongjie.coal.warehouseReceiptDetail.dto.WarehouseReceiptDetailDto;
import cn.lihongjie.coal.warehouseReceiptDetail.service.WarehouseReceiptDetailService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/warehouseReceiptDetail")
@SysLog(module = "仓库单据明细")
@Slf4j
@OrgScope
public class WarehouseReceiptDetailController {
    @Autowired private WarehouseReceiptDetailService service;

    @PostMapping("/create")
    public WarehouseReceiptDetailDto create(@RequestBody CreateWarehouseReceiptDetailDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public WarehouseReceiptDetailDto update(@RequestBody UpdateWarehouseReceiptDetailDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public WarehouseReceiptDetailDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<WarehouseReceiptDetailDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
